Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.sequencer.java
Class ParameterizedTypeFieldMetadataSequencer

    java.lang.Object
      org.modeshape.sequencer.java.ParameterizedTypeFieldMetadataSequencer

    public class ParameterizedTypeFieldMetadataSequencer

extends Object

Sequencer for all paths of a `ParameterizedTypeFieldMetadata`.

Method Summary
`static Path` | `getParameterizedTypeFieldRModifierPath(PathFactory pathFactory, Path parameterizedTypeFieldRootPath, int parameterizedTypeModifierIndex)` Create a path for the parameterized modifier.
`static Path` | `getParameterizedTypeFieldRootPath(PathFactory pathFactory, int parameterizedIndex)` Create the root path for all path children of a parameterized type.
`static Path` | `getParameterizedTypeFieldVariablePath(PathFactory pathFactory, Path parameterizedTypeFieldRootPath, int parameterizedTypeVariableIndex)` Get the path of a parameterized type variable.
`static void` | `sequenceTheParameterizedTypeModifier(ModifierMetadata modifierMetadata, Path parameterizedTypeModifierPath, PathFactory pathFactory, NameFactory nameFactory, SequencerOutput output)` Sequences a modifier of this parameterized type.
`static void` | `sequenceTheParameterizedTypeName(ParameterizedTypeFieldMetadata parameterizedTypeFieldMetadata, Path parameterizedTypeFieldRootPath, PathFactory pathFactory, NameFactory nameFactory, SequencerOutput output)` Sequences the type name of the parameterized type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getParameterizedTypeFieldRootPath

    public static Path getParameterizedTypeFieldRootPath(PathFactory pathFactory,
                                                         int parameterizedIndex)

  Create the root path for all path children of a parameterized type.

  Parameters:
    `pathFactory` - the path factory to use
    `parameterizedIndex` - - index in case of multiple paths.
  Returns:
    a path with a index starting by 1.

### sequenceTheParameterizedTypeName

    public static void sequenceTheParameterizedTypeName(ParameterizedTypeFieldMetadata parameterizedTypeFieldMetadata,
                                                        Path parameterizedTypeFieldRootPath,
                                                        PathFactory pathFactory,
                                                        NameFactory nameFactory,
                                                        SequencerOutput output)

  Sequences the type name of the parameterized type.

  Parameters:
    `parameterizedTypeFieldMetadata` - - the meta data.
    `parameterizedTypeFieldRootPath` - - the root path of a parameterized type.
    `output` - - the `SequencerOutput`.
    `pathFactory` - - the `PathFactory`.
    `nameFactory` - - the `NameFactory`.

### getParameterizedTypeFieldRModifierPath

    public static Path getParameterizedTypeFieldRModifierPath(PathFactory pathFactory,
                                                              Path parameterizedTypeFieldRootPath,
                                                              int parameterizedTypeModifierIndex)

  Create a path for the parameterized modifier.

  Parameters:
    `pathFactory` - the path factory to use
    `parameterizedTypeFieldRootPath` - - the root path to be used.
    `parameterizedTypeModifierIndex` - - index in case of multiple modifiers.
  Returns:
    the path.

### sequenceTheParameterizedTypeModifier

    public static void sequenceTheParameterizedTypeModifier(ModifierMetadata modifierMetadata,
                                                            Path parameterizedTypeModifierPath,
                                                            PathFactory pathFactory,
                                                            NameFactory nameFactory,
                                                            SequencerOutput output)

  Sequences a modifier of this parameterized type.

  Parameters:
    `modifierMetadata` - - the meta data.
    `parameterizedTypeModifierPath` - - the path of a modifier.
    `pathFactory` - - the `PathFactory`.
    `nameFactory` - - the `NameFactory`.
    `output` - - the `SequencerOutput`.

### getParameterizedTypeFieldVariablePath

    public static Path getParameterizedTypeFieldVariablePath(PathFactory pathFactory,
                                                             Path parameterizedTypeFieldRootPath,
                                                             int parameterizedTypeVariableIndex)

  Get the path of a parameterized type variable.

  Parameters:
    `pathFactory` - - the `PathFactory`.
    `parameterizedTypeFieldRootPath` - - the root path.
    `parameterizedTypeVariableIndex` - - the index in case of multiple paths
  Returns:
    the path of the parameterized variable.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.